import random
from tkinter import *

def tirage():
    nb = random.randint(1, 100)
    texteResultat.set('Nombre : ' + str(nb))

if __name__ == '__main__':
    
    # création de l'arbre de scène
    racine = Tk() # Appel à une méthode de classe (et non un constructeur, cf slide cours #2)
    racine.title('Tirage aléatoire')
    racine.geometry('300x100+400+400')
    
    # Les widgets de la scène
    
    boutonQuitter = Button(racine, text='Quitter')
    boutonQuitter.pack(side=LEFT, padx=5, pady=5)
    texteResultat = StringVar()
    labelResultat = Label(racine, textvariable=texteResultat)
    labelResultat.pack(side=LEFT, padx=5, pady=5)
    boutonLancer = Button(racine, text='Tirage')
    boutonLancer.pack(side=LEFT, padx=5, pady=5)
    
    
    # association des commandes aux widgets
    boutonLancer.config(command=tirage) # appel dit callback (pas de parenthèses)
    boutonQuitter.config(command=racine.destroy) # idem
    racine.mainloop() # affichage de l'interface jusqu'à quit